# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::UniformSet Class Reference

A set of Uniform objects managed by a Shader. More...

`#include <UniformSet.hpp>`

Inheritance diagram for vl::UniformSet:

List of all members.

## Public Member Functions

| UniformSet ()
UniformSet & | deepCopyFrom (const UniformSet &other)
UniformSet & | shallowCopyFrom (const UniformSet &other)
void | setUniform (Uniform *uniform, bool check_for_doubles=true)
const std::vector< ref < Uniform > > & | uniforms () const
std::vector< ref< Uniform > > & | uniforms ()
void | eraseUniform (const char *name)
void | eraseUniform (const Uniform *uniform)
void | eraseAllUniforms ()
Uniform * | gocUniform (const char *name)
Uniform * | getUniform (const char *name)
const Uniform * | getUniform (const char *name) const

## Protected Attributes

std::vector< ref< Uniform > > | mUniforms

## Detailed Description

A set of Uniform objects managed by a Shader.

See also:
  Shader, Effect, Actor

Definition at line 50 of file UniformSet.hpp.

## Constructor & Destructor Documentation

vl::UniformSet::UniformSet | ( | ) | `[inline]`

Definition at line 55 of file UniformSet.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

UniformSet & UniformSet::deepCopyFrom | ( | const UniformSet & | other ) |

Definition at line 37 of file UniformSet.cpp.

References mUniforms.

Referenced by vl::Shader::deepCopyFrom().

UniformSet& vl::UniformSet::shallowCopyFrom | ( | const UniformSet & | other ) | `[inline]`

Definition at line 62 of file UniformSet.hpp.

Referenced by vl::Shader::shallowCopyFrom().

void UniformSet::setUniform | ( | Uniform * | uniform,
|  | bool | check_for_doubles = `true`
| ) |  |

Definition at line 45 of file UniformSet.cpp.

References mUniforms, vl::Uniform::name(), NULL, and VL_CHECK.

Referenced by vl::Actor::setUniform().

const std::vector< ref<Uniform> >& vl::UniformSet::uniforms | ( | ) | const`[inline]`

Definition at line 68 of file UniformSet.hpp.

Referenced by vl::GLSLProgram::applyUniformSet(), vl::OpenGLContext::areUniformsColliding(), vl::VLXClassWrapper_GLSLProgram::exportGLSLProgram(), vl::Renderer::render(), and vl::Actor::uniforms().

std::vector< ref<Uniform> >& vl::UniformSet::uniforms | ( | ) | `[inline]`

Definition at line 70 of file UniformSet.hpp.

void UniformSet::eraseUniform | ( | const char * | name ) |

Definition at line 64 of file UniformSet.cpp.

References mUniforms.

Referenced by vl::Actor::eraseUniform().

void UniformSet::eraseUniform | ( | const Uniform * | uniform ) |

Definition at line 74 of file UniformSet.cpp.

References mUniforms.

void vl::UniformSet::eraseAllUniforms | ( | ) | `[inline]`

Definition at line 76 of file UniformSet.hpp.

Referenced by vl::Actor::eraseAllUniforms().

Uniform * UniformSet::gocUniform | ( | const char * | name ) |

Definition at line 84 of file UniformSet.cpp.

References vl::ref< T >::get(), and mUniforms.

Referenced by vl::Actor::gocUniform().

Uniform * UniformSet::getUniform | ( | const char * | name ) |

Definition at line 95 of file UniformSet.cpp.

References mUniforms, and NULL.

Referenced by vl::Actor::getUniform().

const Uniform * UniformSet::getUniform | ( | const char * | name ) | const

Definition at line 103 of file UniformSet.cpp.

References mUniforms, and NULL.

## Member Data Documentation

std::vector< ref<Uniform> > vl::UniformSet::mUniforms`[protected]`

Definition at line 85 of file UniformSet.hpp.

Referenced by deepCopyFrom(), eraseUniform(), getUniform(), gocUniform(), and setUniform().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/UniformSet.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/UniformSet.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:56.
Permission is granted to use this page to write and publish articles regarding Visualization Library.